Package org.flowable.engine.delegate.event.impl

# Class FlowableEntityExceptionEventImpl

java.lang.Object
org.flowable.common.engine.impl.event.FlowableEventImpl
org.flowable.common.engine.impl.event.FlowableEngineEventImpl
org.flowable.engine.delegate.event.impl.FlowableProcessEventImpl
org.flowable.engine.delegate.event.impl.FlowableEntityExceptionEventImpl

All Implemented Interfaces:
  `FlowableEngineEntityEvent`, `FlowableEngineEvent`, `FlowableEntityEvent`, `FlowableEvent`, `FlowableExceptionEvent`, `FlowableProcessEngineEvent`

public class FlowableEntityExceptionEventImpl extends FlowableProcessEventImpl implements FlowableEngineEntityEvent, FlowableExceptionEvent
Base class for all `FlowableEvent` implementations, represents an exception occurred, related to an entity.

Author:
  Frederik Heremans

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected Throwable`
  `cause`
  `protected Object`
  `entity`

  ### Fields inherited from class org.flowable.common.engine.impl.event.FlowableEngineEventImpl

  `scopeDefinitionId, scopeId, scopeType, subScopeId`

  ### Fields inherited from class org.flowable.common.engine.impl.event.FlowableEventImpl

  `type`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FlowableEntityExceptionEventImpl(Object entity, FlowableEngineEventType type, Throwable cause)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Throwable`
  `getCause()`
  `Object`
  `getEntity()`

  ### Methods inherited from class org.flowable.engine.delegate.event.impl.FlowableProcessEventImpl

  `getExecution`

  ### Methods inherited from class org.flowable.common.engine.impl.event.FlowableEngineEventImpl

  `getExecutionId, getProcessDefinitionId, getProcessInstanceId, getScopeDefinitionId, getScopeId, getScopeType, getSubScopeId, getType, setExecutionId, setProcessDefinitionId, setProcessInstanceId, setScopeDefinitionId, setScopeId, setScopeType, setSubScopeId, setType`

  ### Methods inherited from class org.flowable.common.engine.impl.event.FlowableEventImpl

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.flowable.common.engine.api.delegate.event.FlowableEngineEvent

  `getExecutionId, getProcessDefinitionId, getProcessInstanceId, getScopeDefinitionId, getScopeId, getScopeType, getSubScopeId`

  ### Methods inherited from interface org.flowable.common.engine.api.delegate.event.FlowableEvent

  `getType`

- ## Field Details

  - ### entity

    protected Object entity

  - ### cause

    protected Throwable cause

- ## Constructor Details

  - ### FlowableEntityExceptionEventImpl

    public FlowableEntityExceptionEventImpl(Object entity, FlowableEngineEventType type, Throwable cause)

- ## Method Details

  - ### getEntity

    public Object getEntity()
    Specified by:
      `getEntity` in interface `FlowableEntityEvent`
    Returns:
      the entity that is targeted by this event.

  - ### getCause

    public Throwable getCause()
    Specified by:
      `getCause` in interface `FlowableExceptionEvent`
    Returns:
      the throwable that caused this event to be dispatched.